Story # 11042 (Closed): As Roger, I want clean and extensible JavaScript Code
Author: Sebastian Kurfuerst Category:
Updated: 2012-08-31 Due date:
Subject: Refactor UserInterface.ContentDialog event names
Description

History
#1 - 2010-10-28 10:02 - Sebastian Kurfuerst

Right now, the events F3.TYPO3.UserInterface.ContentDialog.buttonClick are used all over the place for getting notified when a content dialog button
has been clicked. However, a more high-level API would be more what we want there, i.e. a method in UserInterfaceModule to register such a handler
(and de-register it also).

#2 - 2010-11-24 12:35 - Robert Lemke
- Parent task changed from #10285 to #11042

#3 - 2010-12-16 15:18 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Parent task changed from #11042 to #10620

#4 - 2010-12-16 15:18 - Sebastian Kurfuerst
- Parent task changed from #10620 to #11042

#5 - 2010-12-16 15:18 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#6 - 2010-12-16 19:33 - Sebastian Kurfuerst
- Status changed from Accepted to On Hold

#7 - 2010-12-16 19:33 - Sebastian Kurfuerst
- Status changed from On Hold to Under Review

#8 - 2010-12-17 07:02 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#9 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
